## org.ascape.model.space
Interface SpaceContext

All Known Implementing Classes:
  BasicModel, BasicMovementModel, City, City3D, DemographicPrisonersDilemma, DemographicPrisonersDilemma3D, Epidemic, Epidemic, Epidemic, Epidemic3D, Epidemic3D, Epidemic3D, Epidemic3DTiles, EpidemicPeriods, GAS_Base, Heatbugs, Heatbugs3D, Heatbugs3DCustom, Markets, Markets3D, Region, Region3D, Scape, SpatialModel, StupidModel1, StupidModel13D, StupidModel2, StupidModel23D, StupidModel3, StupidModel33D, StupidModel5, StupidModel53D, WikiExample, WikiExample3D

    public interface SpaceContext

The Interface SpaceContext.

Method Summary
`java.lang.String` `getName()` Gets the name.
`Location` `getPrototype()` Gets the prototype.
`boolean` `isHome(Location a)` Checks if is home.

Method Detail

### isHome

    boolean isHome(Location a)

  Checks if is home.

  Parameters:
    `a` - the a
  Returns:
    true, if is home

### getName

    java.lang.String getName()

  Gets the name.

  Returns:
    the name

### getPrototype

    Location getPrototype()

  Gets the prototype.

  Returns:
    the prototype